Bug 165292 - keys not accepted for secured updates (via GUI).
keys not accepted for secured updates (via GUI).
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-07 01:14 EDT by linux01
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.0-26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 04:09:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description linux01 2005-08-07 01:14:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
When adding a Named Key to secure DNS updates the keyword "key" is not added to the entry in named.conf. As a result named fails to start. If this keyword is manually added to named.conf then named starts (and works) fine, but after this you cannot edit the properties for the zone in system-config-bind (i.e. it seems to choke on the manually added keyword "key").

Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-20

How reproducible:
Always

Steps to Reproduce:
1.Add a Named Key to a zone in the BIND GUI.
2.Save and restart named. It will fail.
3.Manually edit named.conf to add the (missing) keyword "key" in front of the Name Key you are trying to add.
4.Restart named. It will now start fine.
5.Try to edit the zone in the BIND GUI now ... you cannot.
  

Actual Results:  See the notes above.

Expected Results:  See the notes above.

Additional info:

No.
Comment 1 Jason Vas Dias 2005-08-08 18:39:45 EDT
This bug is now fixed with system-config-bind-4.0.0-26, available from:
     http://people.redhat.com/~jvdias/system-config-bind
and shortly to be in FC-3 updates.
Please try out the new version and let me know of any issues - thank you!

Note You need to log in before you can comment on or make changes to this bug.